HTMLElements (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html
Class HTMLElements

    java.lang.Object
      org.cyberneko.html.HTMLElements

    public class HTMLElements

extends java.lang.Object

Collection of HTML element information.

Version:
  $Id: HTMLElements.java,v 1.12 2005/02/14 07:16:59 andyc Exp $
Author:
  Andy Clark, Ahmed Ashour, Marc Guillemot

Nested Class Summary
`static class` | `HTMLElements.Element` Element information.
`static class` | `HTMLElements.ElementList` Unsynchronized list of elements.

Field Summary
`static short` | `A`
`static short` | `ABBR`
`static short` | `ACRONYM`
`static short` | `ADDRESS`
`static short` | `APPLET`
`static short` | `AREA`
`static short` | `B`
`static short` | `BASE`
`static short` | `BASEFONT`
`static short` | `BDO`
`static short` | `BGSOUND`
`static short` | `BIG`
`static short` | `BLINK`
`static short` | `BLOCKQUOTE`
`static short` | `BODY`
`static short` | `BR`
`static short` | `BUTTON`
`static short` | `CAPTION`
`static short` | `CENTER`
`static short` | `CITE`
`static short` | `CODE`
`static short` | `COL`
`static short` | `COLGROUP`
`static short` | `COMMENT`
`static short` | `DD`
`static short` | `DEL`
`static short` | `DFN`
`static short` | `DIR`
`static short` | `DIV`
`static short` | `DL`
`static short` | `DT`
`protected static HTMLElements.ElementList` | `ELEMENTS` Element information as a contiguous list.
`protected static HTMLElements.Element[][]` | `ELEMENTS_ARRAY` Element information organized by first letter.
`static short` | `EM`
`static short` | `EMBED`
`static short` | `FIELDSET`
`static short` | `FONT`
`static short` | `FORM`
`static short` | `FRAME`
`static short` | `FRAMESET`
`static short` | `H1`
`static short` | `H2`
`static short` | `H3`
`static short` | `H4`
`static short` | `H5`
`static short` | `H6`
`static short` | `HEAD`
`static short` | `HR`
`static short` | `HTML`
`static short` | `I`
`static short` | `IFRAME`
`static short` | `ILAYER`
`static short` | `IMG`
`static short` | `INPUT`
`static short` | `INS`
`static short` | `ISINDEX`
`static short` | `KBD`
`static short` | `KEYGEN`
`static short` | `LABEL`
`static short` | `LAYER`
`static short` | `LEGEND`
`static short` | `LI`
`static short` | `LINK`
`static short` | `LISTING`
`static short` | `MAP`
`static short` | `MARQUEE`
`static short` | `MENU`
`static short` | `META`
`static short` | `MULTICOL`
`static short` | `NEXTID`
`static HTMLElements.Element` | `NO_SUCH_ELEMENT` No such element.
`static short` | `NOBR`
`static short` | `NOEMBED`
`static short` | `NOFRAMES`
`static short` | `NOLAYER`
`static short` | `NOSCRIPT`
`static short` | `OBJECT`
`static short` | `OL`
`static short` | `OPTGROUP`
`static short` | `OPTION`
`static short` | `P`
`static short` | `PARAM`
`static short` | `PLAINTEXT`
`static short` | `PRE`
`static short` | `Q`
`static short` | `RB`
`static short` | `RBC`
`static short` | `RP`
`static short` | `RT`
`static short` | `RTC`
`static short` | `RUBY`
`static short` | `S`
`static short` | `SAMP`
`static short` | `SCRIPT`
`static short` | `SELECT`
`static short` | `SMALL`
`static short` | `SOUND`
`static short` | `SPACER`
`static short` | `SPAN`
`static short` | `STRIKE`
`static short` | `STRONG`
`static short` | `STYLE`
`static short` | `SUB`
`static short` | `SUP`
`static short` | `TABLE`
`static short` | `TBODY`
`static short` | `TD`
`static short` | `TEXTAREA`
`static short` | `TFOOT`
`static short` | `TH`
`static short` | `THEAD`
`static short` | `TITLE`
`static short` | `TR`
`static short` | `TT`
`static short` | `U`
`static short` | `UL`
`static short` | `UNKNOWN`
`static short` | `VAR`
`static short` | `WBR`
`static short` | `XML`
`static short` | `XMP`

Constructor Summary
`HTMLElements()`

Method Summary
`static HTMLElements.Element` | `getElement(short code)` Returns the element information for the specified element code.
`static HTMLElements.Element` | `getElement(java.lang.String ename)` Returns the element information for the specified element name.
`static HTMLElements.Element` | `getElement(java.lang.String ename, HTMLElements.Element element)` Returns the element information for the specified element name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### A

    public static final short A

See Also:
  Constant Field Values

### ABBR

    public static final short ABBR

See Also:
  Constant Field Values

### ACRONYM

    public static final short ACRONYM

See Also:
  Constant Field Values

### ADDRESS

    public static final short ADDRESS

See Also:
  Constant Field Values

### APPLET

    public static final short APPLET

See Also:
  Constant Field Values

### AREA

    public static final short AREA

See Also:
  Constant Field Values

### B

    public static final short B

See Also:
  Constant Field Values

### BASE

    public static final short BASE

See Also:
  Constant Field Values

### BASEFONT

    public static final short BASEFONT

See Also:
  Constant Field Values

### BDO

    public static final short BDO

See Also:
  Constant Field Values

### BGSOUND

    public static final short BGSOUND

See Also:
  Constant Field Values

### BIG

    public static final short BIG

See Also:
  Constant Field Values

### BLINK

    public static final short BLINK

See Also:
  Constant Field Values

### BLOCKQUOTE

    public static final short BLOCKQUOTE

See Also:
  Constant Field Values

### BODY

    public static final short BODY

See Also:
  Constant Field Values

### BR

    public static final short BR

See Also:
  Constant Field Values

### BUTTON

    public static final short BUTTON

See Also:
  Constant Field Values

### CAPTION

    public static final short CAPTION

See Also:
  Constant Field Values

### CENTER

    public static final short CENTER

See Also:
  Constant Field Values

### CITE

    public static final short CITE

See Also:
  Constant Field Values

### CODE

    public static final short CODE

See Also:
  Constant Field Values

### COL

    public static final short COL

See Also:
  Constant Field Values

### COLGROUP

    public static final short COLGROUP

See Also:
  Constant Field Values

### COMMENT

    public static final short COMMENT

See Also:
  Constant Field Values

### DEL

    public static final short DEL

See Also:
  Constant Field Values

### DFN

    public static final short DFN

See Also:
  Constant Field Values

### DIR

    public static final short DIR

See Also:
  Constant Field Values

### DIV

    public static final short DIV

See Also:
  Constant Field Values

### DD

    public static final short DD

See Also:
  Constant Field Values

### DL

    public static final short DL

See Also:
  Constant Field Values

### DT

    public static final short DT

See Also:
  Constant Field Values

### EM

    public static final short EM

See Also:
  Constant Field Values

### EMBED

    public static final short EMBED

See Also:
  Constant Field Values

### FIELDSET

    public static final short FIELDSET

See Also:
  Constant Field Values

### FONT

    public static final short FONT

See Also:
  Constant Field Values

### FORM

    public static final short FORM

See Also:
  Constant Field Values

### FRAME

    public static final short FRAME

See Also:
  Constant Field Values

### FRAMESET

    public static final short FRAMESET

See Also:
  Constant Field Values

### H1

    public static final short H1

See Also:
  Constant Field Values

### H2

    public static final short H2

See Also:
  Constant Field Values

### H3

    public static final short H3

See Also:
  Constant Field Values

### H4

    public static final short H4

See Also:
  Constant Field Values

### H5

    public static final short H5

See Also:
  Constant Field Values

### H6

    public static final short H6

See Also:
  Constant Field Values

### HEAD

    public static final short HEAD

See Also:
  Constant Field Values

### HR

    public static final short HR

See Also:
  Constant Field Values

### HTML

    public static final short HTML

See Also:
  Constant Field Values

### I

    public static final short I

See Also:
  Constant Field Values

### IFRAME

    public static final short IFRAME

See Also:
  Constant Field Values

### ILAYER

    public static final short ILAYER

See Also:
  Constant Field Values

### IMG

    public static final short IMG

See Also:
  Constant Field Values

### INPUT

    public static final short INPUT

See Also:
  Constant Field Values

### INS

    public static final short INS

See Also:
  Constant Field Values

### ISINDEX

    public static final short ISINDEX

See Also:
  Constant Field Values

### KBD

    public static final short KBD

See Also:
  Constant Field Values

### KEYGEN

    public static final short KEYGEN

See Also:
  Constant Field Values

### LABEL

    public static final short LABEL

See Also:
  Constant Field Values

### LAYER

    public static final short LAYER

See Also:
  Constant Field Values

### LEGEND

    public static final short LEGEND

See Also:
  Constant Field Values

### LI

    public static final short LI

See Also:
  Constant Field Values

### LINK

    public static final short LINK

See Also:
  Constant Field Values

### LISTING

    public static final short LISTING

See Also:
  Constant Field Values

### MAP

    public static final short MAP

See Also:
  Constant Field Values

### MARQUEE

    public static final short MARQUEE

See Also:
  Constant Field Values

### MENU

    public static final short MENU

See Also:
  Constant Field Values

### META

    public static final short META

See Also:
  Constant Field Values

### MULTICOL

    public static final short MULTICOL

See Also:
  Constant Field Values

### NEXTID

    public static final short NEXTID

See Also:
  Constant Field Values

### NOBR

    public static final short NOBR

See Also:
  Constant Field Values

### NOEMBED

    public static final short NOEMBED

See Also:
  Constant Field Values

### NOFRAMES

    public static final short NOFRAMES

See Also:
  Constant Field Values

### NOLAYER

    public static final short NOLAYER

See Also:
  Constant Field Values

### NOSCRIPT

    public static final short NOSCRIPT

See Also:
  Constant Field Values

### OBJECT

    public static final short OBJECT

See Also:
  Constant Field Values

### OL

    public static final short OL

See Also:
  Constant Field Values

### OPTION

    public static final short OPTION

See Also:
  Constant Field Values

### OPTGROUP

    public static final short OPTGROUP

See Also:
  Constant Field Values

### P

    public static final short P

See Also:
  Constant Field Values

### PARAM

    public static final short PARAM

See Also:
  Constant Field Values

### PLAINTEXT

    public static final short PLAINTEXT

See Also:
  Constant Field Values

### PRE

    public static final short PRE

See Also:
  Constant Field Values

### Q

    public static final short Q

See Also:
  Constant Field Values

### RB

    public static final short RB

See Also:
  Constant Field Values

### RBC

    public static final short RBC

See Also:
  Constant Field Values

### RP

    public static final short RP

See Also:
  Constant Field Values

### RT

    public static final short RT

See Also:
  Constant Field Values

### RTC

    public static final short RTC

See Also:
  Constant Field Values

### RUBY

    public static final short RUBY

See Also:
  Constant Field Values

### S

    public static final short S

See Also:
  Constant Field Values

### SAMP

    public static final short SAMP

See Also:
  Constant Field Values

### SCRIPT

    public static final short SCRIPT

See Also:
  Constant Field Values

### SELECT

    public static final short SELECT

See Also:
  Constant Field Values

### SMALL

    public static final short SMALL

See Also:
  Constant Field Values

### SOUND

    public static final short SOUND

See Also:
  Constant Field Values

### SPACER

    public static final short SPACER

See Also:
  Constant Field Values

### SPAN

    public static final short SPAN

See Also:
  Constant Field Values

### STRIKE

    public static final short STRIKE

See Also:
  Constant Field Values

### STRONG

    public static final short STRONG

See Also:
  Constant Field Values

### STYLE

    public static final short STYLE

See Also:
  Constant Field Values

### SUB

    public static final short SUB

See Also:
  Constant Field Values

### SUP

    public static final short SUP

See Also:
  Constant Field Values

### TABLE

    public static final short TABLE

See Also:
  Constant Field Values

### TBODY

    public static final short TBODY

See Also:
  Constant Field Values

### TD

    public static final short TD

See Also:
  Constant Field Values

### TEXTAREA

    public static final short TEXTAREA

See Also:
  Constant Field Values

### TFOOT

    public static final short TFOOT

See Also:
  Constant Field Values

### TH

    public static final short TH

See Also:
  Constant Field Values

### THEAD

    public static final short THEAD

See Also:
  Constant Field Values

### TITLE

    public static final short TITLE

See Also:
  Constant Field Values

### TR

    public static final short TR

See Also:
  Constant Field Values

### TT

    public static final short TT

See Also:
  Constant Field Values

### U

    public static final short U

See Also:
  Constant Field Values

### UL

    public static final short UL

See Also:
  Constant Field Values

### VAR

    public static final short VAR

See Also:
  Constant Field Values

### WBR

    public static final short WBR

See Also:
  Constant Field Values

### XML

    public static final short XML

See Also:
  Constant Field Values

### XMP

    public static final short XMP

See Also:
  Constant Field Values

### UNKNOWN

    public static final short UNKNOWN

See Also:
  Constant Field Values

### ELEMENTS_ARRAY

    protected static final HTMLElements.Element[][] ELEMENTS_ARRAY

  Element information organized by first letter.

### ELEMENTS

    protected static final HTMLElements.ElementList ELEMENTS

  Element information as a contiguous list.

### NO_SUCH_ELEMENT

    public static final HTMLElements.Element NO_SUCH_ELEMENT

  No such element.

Constructor Detail

### HTMLElements

    public HTMLElements()

Method Detail

### getElement

    public static final HTMLElements.Element getElement(short code)

  Returns the element information for the specified element code.

  Parameters:
    `code` - The element code.

### getElement

    public static final HTMLElements.Element getElement(java.lang.String ename)

  Returns the element information for the specified element name.

  Parameters:
    `ename` - The element name.

### getElement

    public static final HTMLElements.Element getElement(java.lang.String ename,
                                                        HTMLElements.Element element)

  Returns the element information for the specified element name.

  Parameters:
    `ename` - The element name.
    `element` - The default element to return if not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.